import React, { useGlobal } from "reactn";

const FirstComponent = () => {
  const [count, setCount] = useGlobal("count");

  const increment = () => setCount(count+1)
  const decrement = () => setCount(count-1)

  return (
    <div>
      <p>Count: {count}</p>
      <button onClick={() => increment()}>+</button>
      <button onClick={() => decrement()}>-</button>
    </div>
  );
}

export default FirstComponent;