import React from 'reactn'; 
 
// Render all cards in the global state.
export default class Cards extends React.PureComponent {
  
  constructor(props) {
    super(props);
    this.increment = this.increment.bind(this);
  }

  componentDidMount() {
 
    // Hydrate the global state with the response from /api/cards.
    // this.setGlobal({
    //   count: this.global.count+1
    // }      
    // );
  }

  increment(){
    this.setGlobal({
      count: this.global.count+1
    })
  }
  
  

  render() {
    
    // For each card in the global state, render a Card component.
    // this.global returns the global state,
    //   much the same way this.state returns the local state.
    return (
      <div>
        <h1>Third Component</h1>
        <p>Count: {this.global.count}</p>
        <button onClick={this.increment}>+</button>
      </div>
    );
  }
}